<?xml version="1.0" encoding="UTF-8"?>
<Context path="/prase">
  <!-- 
        Configure the name and data type of a resource made 
    available to the application (equivalent to the inclusion of 
    a <resource-ref> element in the web application deployment descriptor).
    -->
  <Resource auth="Container" driverClassName="com.mysql.cj.jdbc.Driver" factory="org.apache.tomcat.dbcp.dbcp2.BasicDataSourceFactory" maxActive="100" maxIdle="30" maxWait="10000" name="jdbc/carDriverAuth" password="${hibernate.connection.password}" type="javax.sql.DataSource" url="${hibernate.connection.url}" username="${hibernate.connection.username}"/>
  <!-- 
         Implementation of the Tomcat Realm interface that looks up users 
     in a relational database accessed via a JNDI named JDBC DataSource.   
    -->
  <Realm className="org.apache.catalina.realm.DataSourceRealm" dataSourceName="jdbc/carDriverAuth" localDataSource="true" roleNameCol="permission" userCredCol="password" userNameCol="user" userRoleTable="security_authorization" userTable="security_authentication"/>
</Context>
